# SdFat: Arduino/libraries/SdFat/SdSpi.h File Reference

SdSpi.h File Reference

SdSpi class for V2 SD/SDHC cards. More...

`#include <Arduino.h>`
`#include <SdFatConfig.h>`
Include dependency graph for SdSpi.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | SdSpi
| SPI class for access to SD and SDHC flash memory cards. More...

## Macros

#define | USE_AVR_NATIVE_SPI_INLINE 1
#define | USE_NATIVE_AVR_SPI 0
#define | USE_NATIVE_SAM3X_SPI 0
#define | USE_NATIVE_TEENSY3_SPI 0
#define | USE_SOFTWARE_SPI 0

## Variables

uint8_t const | SD_CHIP_SELECT_PIN = SS

## Detailed Description

SdSpi class for V2 SD/SDHC cards.

## Macro Definition Documentation

#define USE_AVR_NATIVE_SPI_INLINE 1

inline avr native functions if nonzero.

#define USE_NATIVE_AVR_SPI 0

#define USE_NATIVE_SAM3X_SPI 0

#define USE_NATIVE_TEENSY3_SPI 0

#define USE_SOFTWARE_SPI 0

## Variable Documentation

uint8_t const SD_CHIP_SELECT_PIN = SS

The default chip select pin for the SD card is SS.